package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabInvoiceManage;

public interface TabInvoiceManageMapper {
    /**
     * 根据主键删除
     *
     * @param invoiceManageId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer invoiceManageId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabInvoiceManage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabInvoiceManage record);

    /**
     * 根据主键查询
     *
     * @param invoiceManageId 主键
     * @return 实体对象
     */
    TabInvoiceManage selectByPrimaryKey(Integer invoiceManageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabInvoiceManage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabInvoiceManage record);
}